/services/webshop/v1/orders/all
Auth
| Field | Type | Required | Description | Example |
|---|---|---|---|---|
sortKey |
string|null
created_at, order_number, status, total_amount, payment_method, invoice_id |
No | created_at |
|
sortOrder |
string|null
asc, desc |
No | desc |
|
per_page |
integer|null | No | 10 |
|
status |
string|null
on_hold, payment_received, paid, completed, cancelled, refunding, refunded, pending, failed |
No | on_hold |
|
type |
string|null | No | checkout |
|
search_query |
string|null | No | John |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
data |
object | |
data.current_page |
integer | |
data.data |
object[] | |
data.first_page_url |
string | |
data.from |
integer|null | |
data.last_page |
integer | |
data.last_page_url |
string | |
data.links |
object | |
data.next_page_url |
string|null | |
data.path |
string|null | |
data.per_page |
integer | |
data.prev_page_url |
string|null | |
data.to |
integer|null | |
data.total |
integer |
| Field | Type | Description |
|---|---|---|
message |
string | Errors overview. |
errors |
object | A detailed description of each field that failed validation. |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
| Header | Type | Description | Example |
|---|---|---|---|
X-RateLimit-Limit |
integer | Maximum number of requests allowed per minute | 60 |
X-RateLimit-Remaining |
integer | Number of requests remaining in the current window | 57 |
Retry-After |
integer | Seconds until the rate limit resets | 60 |
| Field | Type | Description |
|---|---|---|
error |
boolean | |
message |
string |
curl -X POST "https://api.wemasy.nl/api/services/webshop/v1/orders/all" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"sortKey": "created_at",
"sortOrder": "desc",
"per_page": 10,
"status": "on_hold",
"type": "checkout",
"search_query": "John"
}'
fetch('https://api.wemasy.nl/api/services/webshop/v1/orders/all', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Accept': 'application/json',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"sortKey": "created_at",
"sortOrder": "desc",
"per_page": 10,
"status": "on_hold",
"type": "checkout",
"search_query": "John"
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
->accept('application/json')
->post('https://api.wemasy.nl/api/services/webshop/v1/orders/all', {
"sortKey": "created_at",
"sortOrder": "desc",
"per_page": 10,
"status": "on_hold",
"type": "checkout",
"search_query": "John"
});
$data = $response->json();
import requests
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
data = {
"sortKey": "created_at",
"sortOrder": "desc",
"per_page": 10,
"status": "on_hold",
"type": "checkout",
"search_query": "John"
}
r = requests.post("https://api.wemasy.nl/api/services/webshop/v1/orders/all", headers=headers, json=data)
print(r.json())
{
"error": false,
"data": {
"current_page": 1,
"data": [
{
"id": 2502,
"date": "2026-02-17 12:00:PM",
"type": "checkout",
"status": "payment_received",
"status_label": "Processing",
"billing": {
"invoice_email": "john@example.com",
"invoice_firstname": "John",
"invoice_lastname": "Doe",
"invoice_phonenumber": "+31612345678",
"invoice_is_company": null,
"invoice_company": null,
"invoice_tax_number": null,
"invoice_street": "Keizersgracht",
"invoice_number": "123",
"invoice_postcode": "1015 CJ",
"invoice_city": "Amsterdam",
"invoice_country": "NL",
"invoice_notes": null,
"custom_shipping_information": null,
"shipping_firstname": null,
"shipping_lastname": null,
"shipping_phonenumber": null,
"shipping_email": null,
"shipping_company": null,
"shipping_street": null,
"shipping_number": null,
"shipping_postcode": null,
"shipping_city": null,
"shipping_country": "NL"
},
"eu_vat": "NL",
"order_number": "8",
"should_snelstart_sync": true,
"total": "129.99551",
"order_session": "eeX6TCxiubsfJEE7h49dzS3RaNcHXUTHaHcjnUqd69944a0e334ed",
"payment_method": "ideal",
"payment_status": "paid",
"metadata": [],
"vendor_comment": null,
"pdf_status": {
"invoice": {
"status": "completed",
"url": "https://example.com/pdfs/invoices/invoice.pdf",
"pending": false
},
"package_slip": {
"status": "not_generated",
"url": null,
"pending": false
}
},
"invoice_id": "INV-5"
}
],
"first_page_url": "https://api.example.com/api/services/webshop/v1/orders/all?page=1",
"from": 1,
"last_page": 1,
"last_page_url": "https://api.example.com/api/services/webshop/v1/orders/all?page=1",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://api.example.com/api/services/webshop/v1/orders/all?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"next_page_url": null,
"path": "https://api.example.com/api/services/webshop/v1/orders/all",
"per_page": 50,
"prev_page_url": null,
"to": 8,
"total": 8
}
}